
Weight = {};

function Weight.prerequisitesPresent(specializations)
    return true;
end;

function Weight:load(xmlFile)

end;

function Weight:delete()
end;

function Weight:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Weight:keyEvent(unicode, sym, modifier, isDown)
end;

function Weight:draw()
end;

function Weight:update(dt)
	setMass(self.components[1].node, 0.16);
end;

function Weight:onAttach(attacherVehicle)
	setCenterOfMass(self.components[1].node, 0, -1, 0)
end;

function Weight:onDetach()
	setCenterOfMass(self.components[1].node, 0, 0, 0)
end;